Help with EAccelerator incompatibility with PHP upgrades

Need help with the Administration of your Joomla! 3.x site? This is the spot for you.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Locked
starrmarkworth
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Thu Jan 08, 2015 4:36 pm

Help with EAccelerator incompatibility with PHP upgrades

Post by starrmarkworth » Thu Jan 08, 2015 4:42 pm

I really would appreciate any help I can get!!

Our website host recently upgraded their systems and now both the frontend and backend of my website it completely down. www.mvrma.com

I get this error when i go to the website...

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, webmaster@mvrma.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.


I have been able to access the error files from the cpanel and this is the error that is generating-I am pretty sure I am having an issue with compatibility of eaccelerator with the updated PHP

] [notice] EACCELERATOR(18809): PHP crashed on opline 40 of _load() at /home/cc5160/public_html/libraries/loader.php:540
] [notice] EACCELERATOR(18694): PHP crashed on opline 40 of _load() at /home/cc5160/public_html/libraries/loader.php:540
] [notice] EACCELERATOR(18633): PHP crashed on opline 40 of _load() at /home/cc5160/public_html/libraries/loader.php:540
] [notice] EACCELERATOR(10815): PHP crashed on opline 40 of _load() at /home/cc5160/public_html/libraries/loader.php:540


I am not a website developer/administrator by trade, but have inherited this duty....I am really frustrated. It has been down since right after Christmas when the host upgraded.

any help would be greatly appreciated.
thanks, Starr

itoctopus
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4025
Joined: Mon Nov 25, 2013 4:35 pm
Location: Montreal, Canada
Contact:

Re: Help with EAccelerator incompatibility with PHP upgrades

Post by itoctopus » Thu Jan 08, 2015 5:18 pm

You can disable eaccelerator by adding the following lines to your .htaccess file:

Code: Select all

php_flag eaccelerator.enable 0
php_flag eaccelerator.optimizer 0
You can also disable eaccelerator at the php.ini level by adding the following line to a local php.ini:

Code: Select all

eaccelerator.enable = 0
http://www.itoctopus.com - Joomla consulting at its finest
https://twitter.com/itoctopus - Follow us on Twitter

starrmarkworth
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Thu Jan 08, 2015 4:36 pm

Re: Help with EAccelerator incompatibility with PHP upgrades

Post by starrmarkworth » Thu Jan 08, 2015 5:53 pm

I disabled eaccelerator like was suggested but am still getting the 500 internal server error. thanks!

itoctopus
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4025
Joined: Mon Nov 25, 2013 4:35 pm
Location: Montreal, Canada
Contact:

Re: Help with EAccelerator incompatibility with PHP upgrades

Post by itoctopus » Thu Jan 08, 2015 6:22 pm

It might be that your host doesn't allow you to change this setting. In any case, try disabling caching in your configuration.php file and see if that helps.

Worse comes to worst, you will need either to contact your host about this issue or fix the offending code.
http://www.itoctopus.com - Joomla consulting at its finest
https://twitter.com/itoctopus - Follow us on Twitter


Locked

Return to “Administration Joomla! 3.x”